package org.jboss.cache.loader;

import org.jboss.cache.Fqn;

import java.util.Map;

/**
 * Implementations need to load an object given a key from secondary storage, or store an object under a given
 * key in secondary storage (e.g. DB, filesystem).
 * @author Bela Ban Oct 31, 2003
 * @version $Id: CacheLoader.java,v 1.1.2.1 2004/03/12 06:49:00 starksm Exp $
 */
public interface CacheLoader
{

   /**
    * Loads all keys and values from the persistent store, given a key
    * @param name
    * @return Map<Object,Object> of keys and values for the given node
    * @throws Exception
    */
   Map load(Fqn name) throws Exception;


   void store(Fqn name, Map values) throws Exception;

   void remove(Fqn name) throws Exception;

   void loadEntireState() throws Exception;

   byte[] storeEntireState() throws Exception;

}
