/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: MBeanInvocationHandler.java,v 1.7.4.2 2003/03/28 12:50:47 cgjung Exp $

package org.jboss.net.jmx;


import org.jboss.net.axis.AxisInvocationHandler;
import org.apache.axis.client.Call;
import org.apache.axis.client.Service;

import java.net.URL;
import java.util.Map;

/**
 * Helper class for dealing with remote JMX beans in typed or untyped ways.
 * @since  1. Oktober 2001, 18:22
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.7.4.2 $
 */

public class MBeanInvocationHandler extends AxisInvocationHandler {

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint) {
      super(endpoint);
   }

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint, Map methodMap) {
      super(endpoint, methodMap);
   }

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(
      URL endpoint,
      Map methodMap,
      Map interfaceMap) {
      super(endpoint, methodMap, interfaceMap);
   }

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(
      URL endpoint,
      Map methodMap,
      Map interfaceMap,
      boolean maintainSession) {
      super(endpoint, methodMap, interfaceMap, maintainSession);
   }

   /** Creates new MBeanInvocationHandler */

   public MBeanInvocationHandler(Call call, Map methodMap, Map interfaceMap) {
      super(call, methodMap, interfaceMap);
   }

   /** Creates new MBeanInvocationHandler */
   public MBeanInvocationHandler(
      URL endpoint,
      Service service,
      Map methodMap,
      Map interfaceMap) {
      super(endpoint, service, methodMap, interfaceMap);
   }

   /** default creation of services */
   public static Object createMBeanService(Class _interface, URL endpoint) {
      return createAxisService(
         _interface,
         new MBeanInvocationHandler(endpoint));
   }

   /** default creation of services */

   public static Object createMBeanService(
      Class _interface,
      MBeanInvocationHandler handler) {
      return createAxisService(_interface, handler);
   }

}