/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: ObjectNameDeserializer.java,v 1.2.4.2 2004/02/19 16:02:52 cgjung Exp $

package org.jboss.net.jmx.adaptor;

import org.apache.axis.encoding.ser.SimpleDeserializer;

import javax.management.ObjectName;
import javax.xml.namespace.QName;

/**
 * Deserializer that turns string-based XML-elements back
 * into JMX objectnames.
 * @created 2. Oktober 2001, 14:09
 * @author <a href="mailto:a_taherkordi@users.sourceforge.net">Alireza Taherkordi</a>
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.2.4.2 $
 */

public class ObjectNameDeserializer extends SimpleDeserializer {

   public ObjectNameDeserializer(QName xmlType) {
      super(ObjectName.class,xmlType);
   }

   /* (non-Javadoc)
    * @see org.apache.axis.encoding.ser.SimpleDeserializer#makeValue(java.lang.String)
    */
   public Object makeValue(String arg0) throws Exception {
      return new ObjectName(arg0);
   }

}
