/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: ObjectNameSerializer.java,v 1.2.4.4 2004/02/19 16:02:52 cgjung Exp $

package org.jboss.net.jmx.adaptor;

import org.apache.axis.wsdl.fromJava.Types;

import org.apache.axis.encoding.SerializationContext;
import org.apache.axis.encoding.ser.SimpleSerializer;

import javax.management.ObjectName;
import javax.xml.namespace.QName;

import org.w3c.dom.Element;


/**
 * Serializer specialized to turn JMX-Objectnames into
 * corresponding XML-types.
 * @since 2. Oktober 2001, 14:01
 * @author <a href="mailto:a_taherkordi@users.sourceforge.net">Alireza Taherkordi</a>
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.2.4.4 $
 */

public class ObjectNameSerializer extends SimpleSerializer {

   public ObjectNameSerializer(Class javaType, QName xmlType) {
      super(javaType, xmlType);
   }

   public String getValueAsString(Object value, SerializationContext context) {
      return ((ObjectName) value).getCanonicalName();
   }

   /* (non-Javadoc)
    * @see org.apache.axis.encoding.Serializer#writeSchema(java.lang.Class, org.apache.axis.wsdl.fromJava.Types)
    */
   public Element writeSchema(Class clazz, Types types) throws Exception
   {
      // ComplexType representation of SimpleType bean class
      Element complexType = types.createElement("complexType");
      types.writeSchemaElement(xmlType, complexType);
      complexType.setAttribute("name", xmlType.getLocalPart());

      // Produce simpleContent extending base type.
      Element simpleContent = types.createElement("simpleContent");
      complexType.appendChild(simpleContent);
      Element extension = types.createElement("extension");
      simpleContent.appendChild(extension);

      // Get the base type from the "value" element of the bean
      String base = "string";
      extension.setAttribute("base", base);
      // done
      return complexType;
   }

}
