/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb.plugins.cmp.jdbc2.schema;

import javax.transaction.Transaction;

/**
 * @author <a href="mailto:alex@jboss.org">Alexey Loubyansky</a>
 * @version <tt>$Revision: 1.1.2.1 $</tt>
 */
public interface Cache
{
   Object[] get(Object pk);

   void put(Transaction tx, Object pk, Object[] fields);

   void remove(Transaction tx, Object pk) throws Exception;

   boolean contains(Transaction tx, Object pk);

   int size();

   void lockForUpdate(Transaction tx, Object pk) throws Exception;

   void releaseLock(Transaction tx, Object pk) throws Exception;

   Cache NONE = new Cache()
   {
      public Object[] get(Object pk)
      {
         return null;
      }

      public void put(Transaction tx, Object pk, Object[] fields)
      {
      }

      public void remove(Transaction tx, Object pk) throws Exception
      {
      }

      public boolean contains(Transaction tx, Object pk)
      {
         return false;
      }

      public int size()
      {
         return 0;
      }

      public void lockForUpdate(Transaction tx, Object pk) throws Exception
      {
      }

      public void releaseLock(Transaction tx, Object pk) throws Exception
      {
      }
   };
}
